zenilib: zenilib/jni/external/freetype2/src/type1/t1afm.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions
t1afm.h File Reference
`#include <ft2build.h>`
`#include "t1objs.h"`
`#include <FT_INTERNAL_TYPE1_TYPES_H>`

Go to the source code of this file.

## Functions

| T1_Done_Metrics (FT_Memory memory, AFM_FontInfo fi)
| T1_Get_Kerning (AFM_FontInfo fi, FT_UInt glyph1, FT_UInt glyph2, FT_Vector *kerning)
| T1_Get_Track_Kerning (FT_Face face, FT_Fixed ptsize, FT_Int degree, FT_Fixed *kerning)
FT_BEGIN_HEADER | T1_Read_Metrics (FT_Face face, FT_Stream stream)

## Function Documentation

T1_Done_Metrics | ( | FT_Memory | memory,
|  | AFM_FontInfo | fi
| ) |  |

Definition at line 37 of file t1afm.c.

References FT_FREE.

Referenced by T1_Face_Done(), and T1_Read_Metrics().

T1_Get_Kerning | ( | AFM_FontInfo | fi,
|  | FT_UInt | glyph1,
|  | FT_UInt | glyph2,
|  | FT_Vector * | kerning
| ) |  |

Definition at line 318 of file t1afm.c.

References idx, AFM_KernPairRec_::index1, AFM_KernPairRec_::index2, KERN_INDEX, max, min, AFM_KernPairRec_::x, and AFM_KernPairRec_::y.

Referenced by Get_Kerning().

T1_Get_Track_Kerning | ( | FT_Face | face,
|  | FT_Fixed | ptsize,
|  | FT_Int | degree,
|  | FT_Fixed * | kerning
| ) |  |

Definition at line 359 of file t1afm.c.

References AFM_TrackKernRec_::degree, FT_MulDiv(), i, AFM_TrackKernRec_::max_kern, AFM_TrackKernRec_::max_ptsize, AFM_TrackKernRec_::min_kern, AFM_TrackKernRec_::min_ptsize, AFM_FontInfoRec_::NumTrackKern, and AFM_FontInfoRec_::TrackKerns.

FT_BEGIN_HEADER T1_Read_Metrics | ( | FT_Face | face,
|  | FT_Stream | stream
| ) |  |

Definition at line 234 of file t1afm.c.

References PSAux_ServiceRec_::afm_parser_funcs, AFM_FontInfoRec_::Ascender, AFM_FontInfoRec_::Descender, AFM_Parser_FuncsRec_::done, error, T1_FontRec_::font_bbox, AFM_FontInfoRec_::FontBBox, AFM_ParserRec_::FontInfo, FT_FACE_FLAG_KERNING, FT_FRAME_ENTER, FT_FRAME_EXIT, FT_NEW, FT_PEEK_ULONG_LE, AFM_ParserRec_::get_index, AFM_Parser_FuncsRec_::init, AFM_ParserRec_::memory, NULL, AFM_FontInfoRec_::NumKernPair, AFM_Parser_FuncsRec_::parse, T1_Done_Metrics(), t1_get_index(), T1_Read_PFM(), AFM_ParserRec_::user_data, FT_BBox_::xMax, FT_BBox_::xMin, FT_BBox_::yMax, and FT_BBox_::yMin.